<?php

namespace App\Entity;

use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;


class Skill
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 30)]
    private ?string $label = null;

    #[ORM\ManyToOne(targetEntity: Requirement::class, inversedBy: 'skill')]
    private Collection $requirements;

    #[ORM\ManyToOne(targetEntity: EmployeeSkill::class, inversedBy: 'skill')]
    private Collection $employeeskills;

    public function getRequirements(): Collection
    {
        return $this->requirements;
    }

    public function setRequirements(Collection $requirements): void
    {
        $this->requirements = $requirements;
    }

    public function getEmployeeskills(): Collection
    {
        return $this->employeeskills;
    }

    public function setEmployeeskills(Collection $employeeskills): void
    {
        $this->employeeskills = $employeeskills;
    }


    public function getId(): ?int
    {
        return $this->id;
    }

    public function setId(int $id): static
    {
        $this->id = $id;

        return $this;
    }

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(string $label): static
    {
        $this->label = $label;

        return $this;
    }


}
